felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sahoo (JIRA)" <j...@apache.org>
Subject [jira] Created: (FELIX-782) Manifest goal ignores version attribute specified in _exportcontents
Date Fri, 17 Oct 2008 14:46:44 GMT
Manifest goal ignores version attribute specified in _exportcontents

                 Key: FELIX-782
                 URL: https://issues.apache.org/jira/browse/FELIX-782
             Project: Felix
          Issue Type: Bug
          Components: Maven Bundle Plugin
    Affects Versions: maven-bundle-plugin-1.4.3
         Environment: OpenSolaris, JDK 1.5
            Reporter: Sahoo
             Fix For: metatype-1.0.4

I am using maven-bundle-plugin version 1.4.3. We use the manifest goal and configure the plugin
to read bnd instructions from a file called osgi.bundle like this:

In thet artifact's osgi.bundle file, we use _exportcontents to list the packages to be exported.
I am observing that even if I set a version attribute explicitly as part of _exportcontents
instruction, the generated Export-Package headers in the manifest always contains version
as 3.0-Prelude-SNAPSHOT, which is the version of the artifact being built. If I switch to
using Export-Package, the generated manifest contains whatever version I specify in the osgi.bundle
file. This looks like a bug to me.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message